///////////////////////////////////////////////////////////////////////////////
// ControllerMain.h
// ================
// Derived Controller class for main window
//
//  AUTHOR: Song Ho Ahn (song.ahn@gmail.com)
// CREATED: 2006-07-09
// UPDATED: 2023-04-20
///////////////////////////////////////////////////////////////////////////////

#ifndef WIN_CONTROLLER_MAIN_H
#define WIN_CONTROLLER_MAIN_H

#include "Controller.h"
#include "ViewForm.h"

namespace Win
{
    class ControllerMain :public Controller
    {
    public:
        ControllerMain() {};                            // ctor
        ~ControllerMain() {};                           // dtor
        void initEventHooks(ViewForm* view);

        LRESULT create();                               // for WM_CREATE
        LRESULT command(int id, int cmd, LPARAM msg);   // for WM_COMMAND
        LRESULT close();                                // for WM_CLOSE
        LRESULT destroy();                              // for WM_DESTROY
        LRESULT size(int w, int h, WPARAM type);        // for WM_SIZE

    private:
        Win::ViewForm* viewForm;
    };
}

#endif
