///////////////////////////////////////////////////////////////////////////////
// ViewMain.h
// ==========
// View component
//
//  AUTHOR: Song Ho Ahn (song.ahn@gmail.com)
// CREATED: 2007-06-07
// UPDATED: 2020-01-15
///////////////////////////////////////////////////////////////////////////////

#ifndef WIN_VIEW_MAIN_H
#define WIN_VIEW_MAIN_H

#include <vector>
#include "controls.h"

namespace Win
{
    class ViewMain
    {
    public:
        ViewMain();
        ~ViewMain();

        void init(HWND handle);
        Tab& getTab()                  { return tab; }

        // handle Tab Notifications
        void tcGetObject(NMOBJECTNOTIFY* objectNotify);
        void tcFocusChange();
        void tcSelChange();
        void tcKeyDown(NMTCKEYDOWN* tcKeyDown);

    private:
        Tab tab;
        Button   buttonExit;
        HIMAGELIST imageList;                   // handle to imagelist for items

    };
}

#endif
